Loading...
Searching...
No Matches
pdumodel::Outlet::State Struct Reference

Outlet state More...

## Public Attributes

boolean | available
| powerState is available
PowerState | powerState
| Current power state of outlet (represented by the control state of the relay, which was set by the last command sent to it)
boolean | switchOnInProgress
| `true` if the outlet is pending to be switched on after the sequencing delay has passed.
boolean | cycleInProgress
| `if` a power-cycle is in progress. More...
boolean | isLoadShed
| `true` if the outlet is currently switched off due to being non-critical and load shedding being active
boolean | isSuspended
| Whether the outlet was turned off automatically due to being suspected to have caused an OCP trip event.
boolean | hasInrushWaveform
| Whether a valid waveform of last switch-on operation can be read using `getInrushWaveform()`.
LedState | ledState
| LED state (deprecated and always sent as 'off')
time | lastPowerStateChange
| Time of last power state change (UNIX timestamp, UTC)

## Detailed Description

Outlet state

## Member Data Documentation

## cycleInProgress

boolean pdumodel::Outlet::State::cycleInProgress

`if` a power-cycle is in progress.

The outlet will be switched on after the cycle delay has passed.

The documentation for this struct was generated from the following file:

- Outlet.idl